#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8adfd61, "module_layout" },
	{ 0x18ef69cc, "dev_attr_phy_event_threshold" },
	{ 0x2c8dd3e5, "hisi_sas_host_reset" },
	{ 0x18d73361, "sas_bios_param" },
	{ 0x565346a0, "ata_scsi_dma_need_drain" },
	{ 0x61700855, "sas_change_queue_depth" },
	{ 0x8d44d087, "hisi_sas_scan_start" },
	{ 0xfb82a01b, "hisi_sas_scan_finished" },
	{ 0x42c79f6a, "sas_target_destroy" },
	{ 0x514de611, "sas_target_alloc" },
	{ 0x1d050348, "hisi_sas_slave_configure" },
	{ 0x1277ef35, "sas_slave_alloc" },
	{ 0x4e8b35fa, "sas_eh_target_reset_handler" },
	{ 0x72761f34, "sas_eh_device_reset_handler" },
	{ 0xc929ebad, "sas_ioctl" },
	{ 0x46bf8bd7, "sas_queuecommand" },
	{ 0x992382ca, "platform_driver_unregister" },
	{ 0xb7323150, "__platform_driver_register" },
	{ 0xd2d0e25a, "rt_mutex_base_init" },
	{ 0xa50a3da7, "_find_next_bit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4c98d79b, "cpu_hwcap_keys" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0x3a04d739, "hisi_sas_init_mem" },
	{ 0xfc13f2ef, "hisi_sas_stop_phys" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x35e478ae, "platform_get_irq" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0x439af699, "to_hisi_sas_port" },
	{ 0x87b8798d, "sg_next" },
	{ 0x47d9b5f4, "sas_task_abort" },
	{ 0xba1dabf6, "sas_ssp_task_response" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4feedf64, "dma_unmap_sg_attrs" },
	{ 0x4c8c0731, "hisi_sas_slot_task_free" },
	{ 0x2b38ed3a, "hisi_sas_sata_done" },
	{ 0x8b1b0a0f, "hisi_sas_phy_down" },
	{ 0x24d273d1, "add_timer" },
	{ 0xe4dc63ad, "sas_notify_port_event" },
	{ 0xfad7208b, "hisi_sas_phy_oob_ready" },
	{ 0x9db2c6bf, "rt_spin_unlock" },
	{ 0x4eb81722, "rt_spin_lock" },
	{ 0x40d3e45f, "hisi_sas_notify_phy_event" },
	{ 0x1d4ec60, "_dev_info" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xa6257a2f, "complete" },
	{ 0x915b5159, "devm_request_threaded_irq" },
	{ 0x13b43880, "devm_platform_get_irqs_affinity" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x470f8a97, "hisi_sas_phy_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb43eea16, "_dev_warn" },
	{ 0x9b807c91, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0x9cfc8ba, "device_property_read_u32_array" },
	{ 0x1048c3d0, "device_property_present" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x1f7e918, "regmap_read" },
	{ 0x5aec94cd, "regmap_write" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xd9bad952, "is_acpi_device_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21c24a31, "_dev_err" },
	{ 0x77aa94ce, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x112b1852, "cpumask_next" },
	{ 0x497be70d, "irq_get_irq_data" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd15a14be, "hisi_sas_probe" },
	{ 0x508c39e4, "hisi_sas_remove" },
};

MODULE_INFO(depends, "libsas,hisi_sas_main");

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "88B96F428A513A373A718C1");
MODULE_INFO(rhelversion, "9.0");
